balcony_typ : dialog {
  label = "Balcony Types";
  spacer;
     : row {
        : image_button {
           label = "balcony1:";
           key = "slide1";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
        : image_button {
           label = "balcony2:";
           key = "slide2";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
        : image_button {
           label = "balcony3:";
           key = "slide3";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
     }
     : row {
        : image_button {
           label = "balcony4:";
           key = "slide4";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
        : image_button {
           label = "balcony5:";
           key = "slide5";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
        : image_button {
           label = "balcony6:";
           key = "slide6";
           width  = 22;
           aspect_ratio = 0.8;
           color  = 0;
        }
     }
  spacer;
  ok_cancel;
}

balconys : dialog {
  label = "Balcony parameters";
  spacer;
  : row {
     : column {
        : image {
           label = "Sample:";
           key = "slide";
           width  = 34;
           aspect_ratio = 0.8;
           color  = 0;
        }
     }
     : boxed_column {
        label = "Dimensions:";
       : edit_box {
           label = "Length:";
           mnemonic = "L";
           key = "length";
           edit_width = 9;
        }
        : edit_box {
           label = "Width:";
           mnemonic = "W";
           key = "width";
           edit_width = 9;
        }
        : edit_box {
           label = "Height:";
           mnemonic = "H";
           key = "height";
           edit_width = 9;
        }
        : edit_box {
           label = "Wall Thickness:";
           mnemonic = "W";
           key = "wall";
           edit_width = 9;
        }
        : edit_box {
           label = "Slab Thickness:";
           mnemonic = "S";
           key = "slab";
           edit_width = 9;
        }
     }
  }
  spacer;
  :row {
     : boxed_column {
        label = "Optional Dimensions:";
       : edit_box {
           label = "Chamfer Dist 1:";
           mnemonic = "L";
           key = "dist1";
           edit_width = 9;
        }
        : edit_box {
           label = "Chamfer Dist 2:";
           mnemonic = "W";
           key = "dist2";
           edit_width = 9;
        }
        : edit_box {
           label = "Fillet Radius:";
           mnemonic = "H";
           key = "radius";
           edit_width = 9;
        }
        : edit_box {
           label = "Tapered distance:";
           mnemonic = "W";
           key = "taper";
           edit_width = 9;
        }
        : edit_box {
           label = "Bulged distance:";
           mnemonic = "S";
           key = "bulge";
           edit_width = 9;
        }
     }
     : boxed_column {
        label = "Base point and Orientation:";
        : button {
           label = "Pick point <";
           mnemonic = "P";
           key = "p1";
        }
        : edit_box {
           label = "X:";
           mnemonic = "X";
           key = "x_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Y:";
           mnemonic = "Y";
           key = "y_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Z:";
           mnemonic = "Z";
           key = "z_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Rotation Angle:";
           mnemonic = "A";
           key = "ang";
           edit_width = 9;
        }
     } 
  }
  spacer;
  ok_cancel;
}

balcony_r : dialog {
  label = "Balcony parameters";
  spacer;
  : row {
     : column {
        : image {
           label = "Sample:";
           key = "slide";
           width  = 34;
           aspect_ratio = 0.8;
           color  = 0;
        }
     }
     : boxed_column {
        label = "Dimensions:";
       : edit_box {
           label = "Radius:";
           mnemonic = "R";
           key = "radius";
           edit_width = 9;
        }
        : edit_box {
           label = "Degree:";
           mnemonic = "D";
           key = "degree";
           edit_width = 9;
        }
        : edit_box {
           label = "Height:";
           mnemonic = "H";
           key = "height";
           edit_width = 9;
        }
        : edit_box {
           label = "Wall Thickness:";
           mnemonic = "W";
           key = "wall";
           edit_width = 9;
        }
        : edit_box {
           label = "Slab Thickness:";
           mnemonic = "S";
           key = "slab";
           edit_width = 9;
        }
     }
  }  
  spacer;
  :row {
     : boxed_column {
        label = "Base point and Orientation:";
        : button {
           label = "Pick point <";
           mnemonic = "P";
           key = "p1";
        }
        : edit_box {
           label = "X:";
           mnemonic = "X";
           key = "x_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Y:";
           mnemonic = "Y";
           key = "y_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Z:";
           mnemonic = "Z";
           key = "z_pt";
           edit_width = 9;
        }
        : edit_box {
           label = "Rotation Angle:";
           mnemonic = "A";
           key = "ang";
           edit_width = 9;
        }
     } 
  }
  spacer;
  ok_cancel;
}
